Page MenuHomePhabricator

Clarify 'settings' and 'advanced' icon names
Closed, ResolvedPublic

Description

As of v.0.26.0 'settings' and 'advanced' icon are confusingly named to OOUI developers and with the new icon set also signify slightly different use case.
We should rename it to 'pageSettings' and 'settings'. Related: T190175

Due to naming conflict, we'll have to do it in sequences:

  • Rename filenames used for 'settings'
  • Add 'pageSettings'
    • and add 'settings' to same icon packs
  • Replace usage of 'settings' with 'pageSettings'
    • OOUI toolbar 'settings' here is only in documentation; the current 'advanced' which will be to the correct 'settings'
    • VE at modules/ve-mw/ui/pages/ve.ui.MWSettingsPage.js
    • VE at modules/ve-mw/ui/tools/ve.ui.MWMetaDialogTool.js T202101

Event Timeline

Volker_E created this task.Mar 23 2018, 9:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2018, 9:51 PM
Volker_E moved this task from Backlog to Next-up on the OOUI board.Apr 9 2018, 7:11 PM
Volker_E updated the task description. (Show Details)May 7 2018, 10:54 PM

Change 431677 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [DEPRECATING CHANGE] icons: Rename 'settings' to 'pageSettings'

https://gerrit.wikimedia.org/r/431677

Volker_E updated the task description. (Show Details)May 7 2018, 11:34 PM
Volker_E moved this task from Next-up to Doing on the OOUI board.

Change 431677 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE] icons: Rename 'settings' to 'pageSettings'

https://gerrit.wikimedia.org/r/431677

Volker_E updated the task description. (Show Details)May 22 2018, 6:42 PM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)May 22 2018, 6:52 PM
Volker_E updated the task description. (Show Details)May 22 2018, 10:55 PM

Change 452445 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[oojs/ui@master] [BREAKING CHANGE] icons: Drop 'settings' icon, deprecated in v0.27.0

https://gerrit.wikimedia.org/r/452445

Change 452445 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] icons: Drop 'settings' icon, deprecated in v0.27.0

https://gerrit.wikimedia.org/r/452445

Change 452872 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

Change 452872 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

The OOUI release landed in MediaWiki 1.32.0-wmf.18.

Volker_E updated the task description. (Show Details)Aug 16 2018, 11:34 PM
Volker_E updated the task description. (Show Details)Aug 16 2018, 11:43 PM
Volker_E updated the task description. (Show Details)

Change 453304 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] demos: Use renamed 'pageSettings' icon

https://gerrit.wikimedia.org/r/453304

Change 453304 merged by jenkins-bot:
[oojs/ui@master] demos: Use renamed 'pageSettings' icon

https://gerrit.wikimedia.org/r/453304

Change 453306 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/VisualEditor@master] Replace 'settings' by renamed 'pageSettings' icon

https://gerrit.wikimedia.org/r/453306

Volker_E updated the task description. (Show Details)Aug 17 2018, 12:13 AM

Change 453306 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Replace 'settings' by renamed 'pageSettings' icon

https://gerrit.wikimedia.org/r/453306

Change 454363 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [DEPRECATING CHANGE]: icons: Rename 'advanced' to 'settings'

https://gerrit.wikimedia.org/r/454363

Volker_E updated the task description. (Show Details)Aug 21 2018, 9:20 PM
Volker_E triaged this task as Normal priority.Sep 5 2018, 6:20 PM

Change 454363 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE]: icons: Rename 'advanced' to 'settings'

https://gerrit.wikimedia.org/r/454363

Volker_E updated the task description. (Show Details)Sep 8 2018, 2:33 AM

Change 458984 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] RCFilters: Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458984

Change 458988 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/VisualEditor@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458988

Change 458991 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/ContentTranslation@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458991

Change 458992 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Echo@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458992

Change 458993 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Cite@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458993

Change 458997 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/TemplateData@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458997

Volker_E updated the task description. (Show Details)Sep 8 2018, 3:07 AM

Change 459879 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.28.2

https://gerrit.wikimedia.org/r/459879

Change 459879 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.28.2

https://gerrit.wikimedia.org/r/459879

Change 458997 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458997

Change 458991 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458991

Change 458992 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458992

Change 458993 merged by Jforrester:
[mediawiki/extensions/Cite@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458993

Change 458984 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458984

Change 458988 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/458988

Change 460087 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/TemplateData@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/460087

Change 460087 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Replace deprecated 'advanced' by renamed to 'settings' icon

https://gerrit.wikimedia.org/r/460087

Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)

Change 460091 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [BREAKING CHANGE] icons: Drop 'advanced' icon, deprecated in v0.28.1

https://gerrit.wikimedia.org/r/460091

Volker_E updated the task description. (Show Details)Sep 12 2018, 8:18 PM

Change 460091 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] icons: Drop 'advanced' icon, deprecated in v0.28.1

https://gerrit.wikimedia.org/r/460091

Change 481239 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.30.0

https://gerrit.wikimedia.org/r/481239

Change 481239 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.30.0

https://gerrit.wikimedia.org/r/481239

Jdforrester-WMF closed this task as Resolved.Jan 1 2019, 4:04 PM
Jdforrester-WMF updated the task description. (Show Details)